import request from '@/utils/request'

// 查询裂解培训内容列表
export function listLjContent(query) {
  return request({
    url: '/bccnew/ljContent/list',
    method: 'get',
    params: query
  })
}

// 查询裂解培训内容详细
export function getLjContent(id) {
  return request({
    url: '/bccnew/ljContent/' + id,
    method: 'get'
  })
}

// 新增裂解培训内容
export function addLjContent(data) {
  return request({
    url: '/bccnew/ljContent',
    method: 'post',
    data: data
  })
}

// 修改裂解培训内容
export function updateLjContent(data) {
  return request({
    url: '/bccnew/ljContent',
    method: 'put',
    data: data
  })
}

// 删除裂解培训内容
export function delLjContent(id) {
  return request({
    url: '/bccnew/ljContent/' + id,
    method: 'delete'
  })
}

// 导出裂解培训内容
export function exportLjContent(query) {
  return request({
    url: '/bccnew/ljContent/export',
    method: 'get',
    params: query
  })
}